Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.context
Class AbstractContextInstance

    java.lang.Object
      org.jbpm.process.instance.context.AbstractContextInstance

All Implemented Interfaces:
  Serializable, ContextInstance

Direct Known Subclasses:
  ExceptionScopeInstance, ExclusiveGroupInstance, SwimlaneContextInstance, VariableScopeInstance

    public abstract class AbstractContextInstance

extends Object
implements ContextInstance, Serializable

See Also:
  Serialized Form

Constructor Summary
`AbstractContextInstance()`

Method Summary
`Context` | `getContext()`
`long` | `getContextId()`
`ContextInstanceContainer` | `getContextInstanceContainer()`
`ProcessInstance` | `getProcessInstance()`
`void` | `setContextId(long contextId)`
`void` | `setContextInstanceContainer(ContextInstanceContainer contextInstanceContainer)`
`void` | `setProcessInstance(ProcessInstance processInstance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.process.instance.ContextInstance
`getContextType`

Constructor Detail

### AbstractContextInstance

    public AbstractContextInstance()

Method Detail

### getContextId

    public long getContextId()

  Specified by:
    `getContextId` in interface `ContextInstance`

### setContextId

    public void setContextId(long contextId)

### getContextInstanceContainer

    public ContextInstanceContainer getContextInstanceContainer()

  Specified by:
    `getContextInstanceContainer` in interface `ContextInstance`

### setContextInstanceContainer

    public void setContextInstanceContainer(ContextInstanceContainer contextInstanceContainer)

### getContext

    public Context getContext()

  Specified by:
    `getContext` in interface `ContextInstance`

### getProcessInstance

    public ProcessInstance getProcessInstance()

  Specified by:
    `getProcessInstance` in interface `ContextInstance`

### setProcessInstance

    public void setProcessInstance(ProcessInstance processInstance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.